{ config, pkgs, ... }:
let
  cockpitFileSharing = pkgs.callPackage ./cockpit-file-sharing/package.nix { };
in
{
  imports = [ ./cockpit-file-sharing-services.nix ];

  services.cockpit = {
    enable = true;
    openFirewall = true;
    allowed-origins = [
      "https://${config.networking.hostName}:${toString config.services.cockpit.port}"
      "https://192.168.2.99:${toString config.services.cockpit.port}"
    ];
    plugins = with pkgs; [
      cockpit-files
      cockpit-machines
      cockpit-podman
      cockpitFileSharing
    ];
  };
}
